CREATE TABLE mkt_prfl_attribute_b (
    PRA_ID                          NUMBER(38, 0) ,
    PR_ID                           NUMBER(38, 0)     NOT NULL,
    PRA_SYSTEM_NAME                 VARCHAR2(800)     NOT NULL,
    PRA_READ_ONLY                   NUMBER(38, 0) ,
    PRA_PRIMARY_KEY                 NUMBER(38, 0) ,
    PRA_TYPE                        NUMBER(1, 0)      NOT NULL,
    PRA_QSL                         NUMBER(38, 0) ,
    PRA_MB_DATA_TYPE                NUMBER(38, 0) ,
    PRA_CARDINALITY                 NUMBER(38, 0) ,
    PRA_CUSTOM_LOV_METHOD           VARCHAR2(800) ,
    PRA_CREATED_LANG_ID             NUMBER(38, 0)     NOT NULL,
    PRA_ACTIVE                      NUMBER(1, 0)  ,
    PRA_CHANGE_NUMBER               NUMBER(38, 0)     NOT NULL,
    PRA_OPERATOR_ELEMENT_LIST_ID    NUMBER(38, 0) ,
    PRA_ATTRIBUTE_TYPE              VARCHAR2(800) ,
    PRA_MERGE_TYPE                  VARCHAR2(800) ,
    PRA_MERGE_DEPENDENT_PRA_ID      NUMBER(38, 0) ,
    PRA_DATA_TYPE_CODE              VARCHAR2(800) ,
    PRA_FG_ID                       NUMBER(38, 0) ,
    PRA_DATA_TYPE                   NUMBER(38, 0) ,
    PRA_TRACKING_IS_ENABLED         NUMBER(1, 0)  ,
    PRA_TRACKING_TYPE               VARCHAR2(400) ,
    PRA_ENTITY_TYPE_ID              NUMBER(38, 0) ,
    PRA_ENTITY_ID                   NUMBER(38, 0) ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    PRA_GUID                        VARCHAR2(256)     NOT NULL,
    PRA_CREATED_DATE                DATE              NOT NULL,
    PRA_CREATED_BY                  NUMBER(38, 0) ,
    PRA_LAST_MODIFIED_DATE          DATE              NOT NULL,
    PRA_LAST_MODIFIED_BY            NUMBER(38, 0) ,
    PRA_DISPLAY_MERGE_FIELD         VARCHAR2(4)   ,
    PRA_SOURCE_AM                   VARCHAR2(800) ,
    PRA_SOURCE_VO_INSTANCE          VARCHAR2(400) ,
    PRA_SOURCE_FIELD_NAME           VARCHAR2(200) ,
    PRA_SOURCE_VO_KEY_FLAG          VARCHAR2(4)   ,
    PRA_ALT_SOURCE_AM               VARCHAR2(800) ,
    PRA_ALT_SOURCE_VO_INSTANCE      VARCHAR2(400) ,
    PRA_ALT_SOURCE_FIELD_NAME       VARCHAR2(200) ,
    PRA_ALT_VO_KEY_FLAG             VARCHAR2(4)   ,
    PRA_CMP_MEMBER_TGT_COL          VARCHAR2(120) ,
    PRA_SOURCE_AM_CONFIG            VARCHAR2(400) ,
    PRA_MERGE_CONFIG                VARCHAR2(400) ,
    PRA_USAGE                       VARCHAR2(400) ,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    PRA_ID                          NUMBER(38, 0) ,
    PR_ID                           NUMBER(38, 0)     NOT NULL,
    PRA_SYSTEM_NAME                 VARCHAR2(800)     NOT NULL,
    PRA_READ_ONLY                   NUMBER(38, 0) ,
    PRA_PRIMARY_KEY                 NUMBER(38, 0) ,
    PRA_TYPE                        NUMBER(1, 0)      NOT NULL,
    PRA_QSL                         NUMBER(38, 0) ,
    PRA_MB_DATA_TYPE                NUMBER(38, 0) ,
    PRA_CARDINALITY                 NUMBER(38, 0) ,
    PRA_CUSTOM_LOV_METHOD           VARCHAR2(800) ,
    PRA_CREATED_LANG_ID             NUMBER(38, 0)     NOT NULL,
    PRA_ACTIVE                      NUMBER(1, 0)  ,
    PRA_CHANGE_NUMBER               NUMBER(38, 0)     NOT NULL,
    PRA_OPERATOR_ELEMENT_LIST_ID    NUMBER(38, 0) ,
    PRA_ATTRIBUTE_TYPE              VARCHAR2(800) ,
    PRA_MERGE_TYPE                  VARCHAR2(800) ,
    PRA_MERGE_DEPENDENT_PRA_ID      NUMBER(38, 0) ,
    PRA_DATA_TYPE_CODE              VARCHAR2(800) ,
    PRA_FG_ID                       NUMBER(38, 0) ,
    PRA_DATA_TYPE                   NUMBER(38, 0) ,
    PRA_TRACKING_IS_ENABLED         NUMBER(1, 0)  ,
    PRA_TRACKING_TYPE               VARCHAR2(400) ,
    PRA_ENTITY_TYPE_ID              NUMBER(38, 0) ,
    PRA_ENTITY_ID                   NUMBER(38, 0) ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    PRA_GUID                        VARCHAR2(256)     NOT NULL,
    PRA_CREATED_DATE                DATE              NOT NULL,
    PRA_CREATED_BY                  NUMBER(38, 0) ,
    PRA_LAST_MODIFIED_DATE          DATE              NOT NULL,
    PRA_LAST_MODIFIED_BY            NUMBER(38, 0) ,
    PRA_DISPLAY_MERGE_FIELD         VARCHAR2(4)   ,
    PRA_SOURCE_AM                   VARCHAR2(800) ,
    PRA_SOURCE_VO_INSTANCE          VARCHAR2(400) ,
    PRA_SOURCE_FIELD_NAME           VARCHAR2(200) ,
    PRA_SOURCE_VO_KEY_FLAG          VARCHAR2(4)   ,
    PRA_ALT_SOURCE_AM               VARCHAR2(800) ,
    PRA_ALT_SOURCE_VO_INSTANCE      VARCHAR2(400) ,
    PRA_ALT_SOURCE_FIELD_NAME       VARCHAR2(200) ,
    PRA_ALT_VO_KEY_FLAG             VARCHAR2(4)   ,
    PRA_CMP_MEMBER_TGT_COL          VARCHAR2(120) ,
    PRA_SOURCE_AM_CONFIG            VARCHAR2(400) ,
    PRA_MERGE_CONFIG                VARCHAR2(400) ,
    PRA_USAGE                       VARCHAR2(400) ,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_mkt_prfl_attribute_b PRIMARY KEY (PRA_ID, PRA_ID)
);
